LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.all;
USE IEEE.NUMERIC_STD.all;

ENTITY test IS
END ENTITY;

ARCHITECTURE arc OF test IS 

	SIGNAL I1, I0, IE, O3, O2, O1, O0 : STD_LOGIC := '0';

BEGIN

	fddTP1EX1 : ENTITY WORK.TP1EX1 PORT MAP (I1, I0, IE, O3, O2, O1, O0);	
	I1 <= '0', '1' AFTER 20 ns, 'U' AFTER 40 ns, '0' AFTER 50 ns;
	I0 <= '0', '1' AFTER 10 ns, '0' AFTER 20 ns, '1' AFTER 30 ns, 'U' AFTER 40 ns, '0' AFTER 50 ns;
	IE <= '0', '1' AFTER 10 ns, '0' AFTER 20 ns, '1' AFTER 30 ns;
END ARCHITECTURE; 
